## ayatana-indicator-session 0.8.2-0+git20210829.2586+12.01.nightly.1

=== CMakeLists.txt ===
project (ayatana-indicator-session C CXX)
cmake_minimum_required (VERSION 3.13)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

set (PROJECT_VERSION "0.8.2")
set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE "ayatana-indicator-session")

# Options
option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
endif()

##
##  GNU standard installation directories
##
include (GNUInstallDirs)
set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")


##
##  Check for prerequisites
##
find_package (PkgConfig REQUIRED)
include (FindPkgConfig)
pkg_check_modules (SERVICE REQUIRED
                   libayatana-common>=0.9.2
                   glib-2.0>=2.36
                   gio-unix-2.0>=2.36)
include_directories (${SERVICE_INCLUDE_DIRS})

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")

    set(COMPILE_FLAGS "${COMPILE_FLAGS} -Weverything")
    set(COMPILE_FLAGS "${COMPILE_FLAGS} -Wno-c++98-compat -Wno-padded")
    set(COMPILE_FLAGS "${COMPILE_FLAGS} -Wno-documentation")

else()

    set(COMPILE_FLAGS "${COMPILE_FLAGS} -Wall")

endif()

set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist
                   COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr
                   ${CMAKE_SOURCE_DIR}/src
                   ${CMAKE_SOURCE_DIR}/tests)

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/src)

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (po)

if (ENABLE_TESTS)

    include(CTest)
    enable_testing()
    add_subdirectory(tests)

    if (ENABLE_COVERAGE)

        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(TARGETS "libayatanaindicatorsessionservice" "ayatana-indicator-session-service" TESTS "test-service" "test-actions" "test-guest" "test-users" FILTER /usr/include ${CMAKE_BINARY_DIR}/*)

    endif()

endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== data/CMakeLists.txt ===
include (UseGSettings)

##
##  GSettings schema
##

set (SCHEMA_NAME "org.ayatana.indicator.session.gschema.xml")
set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")

# generate the .xml file using intltool
set (ENV{LC_ALL} "C")
execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")

# let UseGSettings do the rest
add_schema (${SCHEMA_FILE})

##
##  Systemd Unit File
##

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})

    pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
    message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

    set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
    set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
    set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

    # build it
    set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
    configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

    # install it
    install (FILES "${SYSTEMD_USER_FILE}"
             DESTINATION "${SYSTEMD_USER_DIR}")

endif()

##
##  XDG Autostart Config File
##

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the XDG Autostart install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install it
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

##
##  Ayatana Indicator File
##

# where to install
set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicator install dir")

set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.session")
set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")

install (FILES "${AYATANA_INDICATOR_FILE}"
         DESTINATION "${AYATANA_INDICATOR_DIR}")


##
##  Icons
##

# where to install
set (ICON_DIR "${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor")
message (STATUS "${ICON_DIR} is the Icon install dir")

install (DIRECTORY
         icons/16x16
         icons/22x22
         icons/24x24
         icons/32x32
         icons/scalable
         DESTINATION "${ICON_DIR}"
         FILES_MATCHING PATTERN "*.png" PATTERN "*.svg")

=== src/CMakeLists.txt ===
add_subdirectory (backend-dbus)

add_library (libayatanaindicatorsessionservice STATIC
             actions.c
             actions.h
             guest.c
             guest.h
             recoverable-problem.c
             recoverable-problem.h
             service.c
             service.h
             users.c
             users.h
             utils.c
             utils.h)
include_directories(${SERVICE_INCLUDE_DIRS})
link_directories(${SERVICE_LIBRARY_DIRS})

set (SERVICE_EXEC "ayatana-indicator-session-service")
set_property (SOURCE main.c
              APPEND PROPERTY COMPILE_DEFINITIONS
              GETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
              LOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
add_executable (${SERVICE_EXEC} main.c)
target_link_libraries (${SERVICE_EXEC} libayatanaindicatorsessionservice backenddbus ${SERVICE_LIBRARIES})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

=== tests/CMakeLists.txt ===
find_package(GMock)

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# GSettings:
# compile the schemas our tests use (ayatana-indicator-session's, lockdown, media-keys)
# into a gschemas.compiled file in this directory, and help the tests to find
# that file by setting -DSCHEMA_DIR
set (SCHEMA_DIR ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_BINARY_DIR}/data/org.ayatana.indicator.session.gschema.xml
                            ${CMAKE_SOURCE_DIR}/tests/org.ayatana.indicator.session.backendmock.gschema.xml
                            ${CMAKE_SOURCE_DIR}/tests/org.gnome.desktop.lockdown.gschema.xml
                            ${CMAKE_SOURCE_DIR}/tests/org.gnome.settings-daemon.plugins.media-keys.gschema.xml
                    COMMAND cp -f ${CMAKE_BINARY_DIR}/data/*gschema.xml ${SCHEMA_DIR}
                    COMMAND if [ \"x${CMAKE_SOURCE_DIR}/tests\" != \"x${SCHEMA_DIR}\" ]; then cp -f \"${CMAKE_SOURCE_DIR}/tests/\"*gschema.xml \"${SCHEMA_DIR}\"\; fi
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

# DBus Activation
configure_file (ayatana-indicator-session.service.in ayatana-indicator-session.service)
add_definitions(-DINDICATOR_SERVICE_DIR="${CMAKE_CURRENT_BINARY_DIR}")

# look for hearder in our src dir, and also in the directories where we autogenerate files...
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_CURRENT_BINARY_DIR} ${SERVICE_INCLUDE_DIRS})

# backendmock
add_library (backendmock STATIC
             backend-mock-actions.c
             backend-mock-actions.h
             backend-mock.c
             backend-mock.h
             backend-mock-guest.c
             backend-mock-guest.h
             backend-mock-users.c
             backend-mock-users.h)

add_custom_target(
            gschemas-compiled ALL DEPENDS gschemas.compiled
)

# test-service
add_executable (test-service
                test-service.cc)
target_link_options(test-service PRIVATE -no-pie)
set_target_properties (test-service PROPERTIES COMPILE_FLAGS " -std=c++0x")
add_test (test-service test-service)
add_dependencies (test-service libayatanaindicatorsessionservice backendmock gschemas-compiled)
target_link_libraries (test-service libayatanaindicatorsessionservice backendmock ${SERVICE_LIBRARIES} ${GTEST_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${GMOCK_LIBRARIES})

add_subdirectory (backend-dbus)

=== tests/backend-dbus/CMakeLists.txt ===
SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")

# build desktopmock
add_library (desktopmock STATIC
             mock-accounts.cc
             mock-accounts.h
             mock-login1-manager.cc
             mock-login1-manager.h
             mock-login1-seat.cc
             mock-login1-seat.h
             mock-display-manager-seat.cc
             mock-display-manager-seat.h
             mock-end-session-dialog.cc
             mock-end-session-dialog.h
             mock-object.cc
             mock-object.h
             mock-screen-saver.cc
             mock-screen-saver.h
             mock-unity-session.cc
             mock-unity-session.h
             mock-session-manager.cc
             mock-session-manager.h
             mock-user.cc
             mock-user.h
             mock-webcredentials.cc
             mock-webcredentials.h)

add_dependencies(desktopmock backenddbus)

include_directories (${SERVICE_INCLUDE_DIRS})
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_BINARY_DIR}/src)
include_directories (${CMAKE_SOURCE_DIR}/tests)

# test the Actions class
add_executable (test-actions
                test-actions.cc)
target_link_options(test-actions PRIVATE -no-pie)
add_test (test-actions test-actions)
target_link_libraries (test-actions desktopmock backenddbus libayatanaindicatorsessionservice ${SERVICE_LDFLAGS} ${GTEST_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${GMOCK_LIBRARIES})

# test the Guest class
add_executable (test-guest
                test-guest.cc)
target_link_options(test-guest PRIVATE -no-pie)
add_test (test-guest test-guest)
target_link_libraries (test-guest desktopmock backenddbus libayatanaindicatorsessionservice ${SERVICE_LDFLAGS} ${GTEST_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${GMOCK_LIBRARIES})

# test the Users class
add_executable (test-users
                test-users.cc)
target_link_options(test-users PRIVATE -no-pie)
add_test (test-users test-users)
target_link_libraries (test-users desktopmock backenddbus libayatanaindicatorsessionservice ${SERVICE_LDFLAGS} ${GTEST_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${GMOCK_LIBRARIES})

=== debian/changelog ===
ayatana-indicator-session (0.8.2-0+git20210829.2586+12.01.nightly.1) unstable; urgency=medium

  * Development-Snapshot!!! Auto-built Debian sid package for
    packages.arctica-project.org repository (Git commit:
    0e5b7464db1307140cf33ad1247e5d080ff6653d).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Sun, 29 Aug 2021 15:13:34 +0200

ayatana-indicator-session (0.8.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 28 Jan 2021 16:57:37 +0100

ayatana-indicator-session (0.8.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 10 Sep 2020 21:21:33 +0200

ayatana-indicator-session (0.8.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 17 Aug 2020 22:37:40 +0200

ayatana-indicator-session (0.4.4-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 27 Nov 2019 09:50:30 +0100

ayatana-indicator-session (0.4.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 21 Aug 2018 17:27:58 +0200

ayatana-indicator-session (0.4.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 28 Feb 2018 21:42:07 +0100

ayatana-indicator-session (0.4.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 24 Oct 2017 21:36:02 +0200

ayatana-indicator-session (0.4.0-0) unstable; urgency=medium

  * Fork from Ubuntu's indicator-session project.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 24 Oct 2017 21:35:44 +0200

indicator-session (12.10.5+15.10.20150915-0ubuntu1) wily; urgency=medium

  [ Andrea Azzarone andrea.azzarone@canonical.com ]
  * Disable shutdown/reboot in the lockscreen. (LP: #1460626)

  [ Sebastien Bacher ]
  * under unity8 start system-settings instead unity-control-center (LP:
    #1489480)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2015 07:47:28 +0000

indicator-session (12.10.5+15.04.20150327-0ubuntu1) vivid; urgency=medium

  [ Charles Kerr ]
  * Fix a crash in get_user_label() by testing a string pointer for NULL
    before dereferencing it. (LP: #1290876)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 27 Mar 2015 15:00:16 +0000

indicator-session (12.10.5+15.04.20150228-0ubuntu1) vivid; urgency=medium

  [ Dmitry Shachnev ]
  * Support multiple desktop names in XDG_CURRENT_DESKTOP.

 -- CI Train Bot <ci-train-bot@canonical.com>  Sat, 28 Feb 2015 18:10:56 +0000

indicator-session (12.10.5+15.04.20141103-0ubuntu1) vivid; urgency=low

  [ Sebastien Bacher ]
  * update the translations template during the build (LP: #1385260)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Nov 2014 20:57:55 +0000

indicator-session (12.10.5+14.10.20141009-0ubuntu1) utopic; urgency=low

  [ Martin Pitt ]
  * Fix autopkg tests

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 13:27:49 +0000

indicator-session (12.10.5+14.10.20140919-0ubuntu1) utopic; urgency=low

  [ Dmitry Shachnev ]
  * Make Cancel button in Zenity backend work again (LP: #1363630)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 19 Sep 2014 13:48:47 +0000

indicator-session (12.10.5+14.10.20140814-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Re-use the same Translations.cmake file across indicators (LP:
    #1354058)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 14 Aug 2014 14:53:29 +0000

indicator-session (12.10.5+14.10.20140718-0ubuntu1) utopic; urgency=low

  [ Robert Ancell ]
  * Hide relevant items from session indicator when
    org.gnome.desktop.lockdown disable-lock-screen or disable-user-
    switching are set to match 12.04 LTS behaviour (LP: #1325353)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 18 Jul 2014 21:36:22 +0000

indicator-session (12.10.5+14.10.20140717-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Add support for getting the distro name from /etc/os-release. (LP:
    #1331873)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 17 Jul 2014 08:33:50 +0000

indicator-session (12.10.5+14.10.20140620-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * When logging out, prefer com.canonical.Unity.RequestLogout over
    org.gnome.SessionManager.Logout. (LP: #1296814)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 20 Jun 2014 15:27:42 +0000

indicator-session (12.10.5+14.04.20140410-0ubuntu1) trusty; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Marco Trevisan (Treviño) ]
  * DBusActions: use unity session APIs when unity is running Use
    Immediate lock when switching, and rely to standard lock (with fade)
    in normal cases. (LP: #1305194)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Apr 2014 17:39:18 +0000

indicator-session (12.10.5+14.04.20140403-0ubuntu1) trusty; urgency=low

  [ Charles Kerr ]
  * Fix the phantom "J Random User" menuitem that shows up under some
    conditions. (LP: #1256590)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 03 Apr 2014 17:13:30 +0000



=== debian/control ===
Source: ayatana-indicator-session
Section: nightly/x11
Priority: optional
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras,
               dbus,
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               libayatana-common-dev (>= 0.9.2),
               systemd [linux-any],
Standards-Version: 4.1.1
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-session

Package: ayatana-indicator-session
Architecture: any
Depends: ayatana-indicator-common,
         gnome-settings-daemon | mate-settings-daemon | xfce4-settings,
         gsettings-desktop-schemas,
         systemd [linux-any],
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-bin,
Recommends: gnome-screensaver | mate-screensaver | xfce4-session,,
            mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
            unity-control-center | gnome-control-center | mate-control-center | xfce4-settings,
            unity-control-center-signon | gnome-control-center-signon | mate-control-center | xfce4-settings,
            yelp | x-www-browser | firefox | chromium,
            x-www-browser | firefox | chromium,
Suggests: apport,
          lightdm,
          zenity,
Breaks: indicator-session,
Replaces: indicator-session,
Description: Ayatana Indicator showing session management, status and user switching
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their instant message
 status.   Switching to another user.  Starting a guest session.  Or
 controlling the status of their own session.
 .
 It requires some way to be hosted into a panel. For the MATE Panel the
 appropriate package is mate-indicator-applet. For the Xfce Panel the
 appropriate package is xfce4-indicator-plugin.

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_TESTS=ON \
    -DENABLE_COVERAGE=OFF \
    $(NULL)

%:
	dh $@ --with systemd

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_install:
	find debian/ayatana-indicator-session/usr/lib -name *.la -delete
	find debian/ayatana-indicator-session/usr/lib -name *.a -delete
	dh_install --fail-missing

# Hack as it seems it's not possible to easy run that under dbus-test-runner
override_dh_auto_test:
	env -u LD_PRELOAD dh_auto_test

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://releases.ayatana-indicators.org/source/ayatana-indicator-session/ayatana-indicator-session-(.+)\.tar\.gz

## ayatana-indicator-session 22.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set (PROJECT_VERSION "0.8.2")
+set (PROJECT_VERSION "22.2.0")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 set (GETTEXT_PACKAGE "ayatana-indicator-session")
 
@@ -24,17 +24,22 @@
 endif()
 
 if(ENABLE_WERROR)
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
+    add_definitions("-Werror")
 endif()
+
+if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
+    add_definitions("-Weverything")
+else()
+    add_definitions("-Wall")
+endif()
+
+add_definitions("-Wno-sign-compare") # Needed for GTest on Ubuntu
 
 ##
 ##  GNU standard installation directories
 ##
+
 include (GNUInstallDirs)
-set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
-set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
-
 
 ##
 ##  Check for prerequisites
@@ -46,18 +51,6 @@
                    glib-2.0>=2.36
                    gio-unix-2.0>=2.36)
 include_directories (${SERVICE_INCLUDE_DIRS})
-
-if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
-
-    set(COMPILE_FLAGS "${COMPILE_FLAGS} -Weverything")
-    set(COMPILE_FLAGS "${COMPILE_FLAGS} -Wno-c++98-compat -Wno-padded")
-    set(COMPILE_FLAGS "${COMPILE_FLAGS} -Wno-documentation")
-
-else()
-
-    set(COMPILE_FLAGS "${COMPILE_FLAGS} -Wall")
-
-endif()
 
 set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 add_custom_target (dist

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-include (UseGSettings)
-
 ##
 ##  GSettings schema
 ##
@@ -9,11 +7,13 @@
 set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
 
 # generate the .xml file using intltool
+find_package(Intltool REQUIRED)
 set (ENV{LC_ALL} "C")
-execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")
+intltool_merge_translations("${SCHEMA_FILE_IN}" "${SCHEMA_FILE}" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
 
-# let UseGSettings do the rest
-add_schema (${SCHEMA_FILE})
+# let GSettings do the rest
+find_package(GSettings REQUIRED)
+add_schema (${SCHEMA_NAME})
 
 ##
 ##  Systemd Unit File
@@ -30,7 +30,6 @@
     set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")
 
     # build it
-    set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
     configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")
 
     # install it
@@ -52,7 +51,6 @@
 set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")
 
 # build it
-set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
 configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")
 
 # install it

=== src/backend-dbus/CMakeLists.txt ===
include (GdbusCodegen)

set(BACKEND_GENERATED_SOURCES
)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-display-manager
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.DisplayManager.Seat.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-webcredentials
                   org.ayatana.indicators
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.indicators.webcredentials.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-accounts
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.Accounts.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-user
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.Accounts.User.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-manager
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.login1.Manager.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-seat
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.login1.Seat.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-login1-user
                   org.freedesktop
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.freedesktop.login1.User.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES gnome-screen-saver
                   org
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.gnome.ScreenSaver.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES gnome-session-manager
                   org
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.gnome.SessionManager.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES dbus-end-session-dialog
                   org.gnome.SessionManager
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.gnome.SessionManager.EndSessionDialog.xml)

add_gdbus_codegen (BACKEND_GENERATED_SOURCES desktop-session
                   org.ayatana
                   ${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.Desktop.Session.xml)

set (SOURCES actions.c guest.c users.c backend-dbus.c utils.c)

# add the bin dir to our include path s.t. our code can find the autogenerated header files
include_directories (${CMAKE_CURRENT_BINARY_DIR} ${SERVICE_INCLUDE_DIRS})

add_library (backenddbus STATIC ${SOURCES} ${BACKEND_GENERATED_SOURCES})

=== tests/backend-dbus/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
-
 # build desktopmock
 add_library (desktopmock STATIC
              mock-accounts.cc

=== debian/changelog ===
ayatana-indicator-session (22.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 11:31:23 +0100

ayatana-indicator-session (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all previous patches. All shipped upstream.
  * debian/control:
    + Add B-Ds: cmake-extras, libayatana-common-dev.
    + Drop from B-D: liblomiri-url-dispatcher.
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.
  * debian/rules:
    + Adjust for upstream version 0.9.0.
    + Install NEWS file as upstream ChangeLog.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 Nov 2021 14:55:47 +0100

=== debian/control ===
Source: ayatana-indicator-session
Section: gnome
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras,
               dbus,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libayatana-common-dev (>= 0.9.5),
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               systemd [linux-any],
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-session

Package: ayatana-indicator-session
Architecture: any
Depends: ayatana-indicator-common (>= 0.8.0),
         gsettings-desktop-schemas,
         systemd,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: yelp,
Suggests: apport,
          gnome-screensaver | mate-screensaver,
          mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
          unity-control-center | gnome-control-center | mate-control-center,
          unity-control-center-signon | gnome-control-center-signon | mate-control-center,
          lightdm,
          zenity,
Breaks: indicator-session,
Replaces: indicator-session,
Description: Ayatana Indicator showing session management, status and user switching
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their instant message
 status, switching to another user, starting a guest session, etc.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
     $(NULL)
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)
@@ -20,7 +20,12 @@
 override_dh_install:
 	find debian/ayatana-indicator-session/usr/lib -name *.la -delete
 	find debian/ayatana-indicator-session/usr/lib -name *.a -delete
-	dh_install --fail-missing
+
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
 
 # Hack as it seems it's not possible to easy run that under dbus-test-runner
 override_dh_auto_test:

## ayatana-indicator-session 22.2.0-0+git20220217.2639+11.nightly.1

=== debian/changelog ===
ayatana-indicator-session (22.2.0-0+git20220217.2639+11.nightly.1) bullseye; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bullseye package for
    packages.arctica-project.org repository (Git commit:
    89bff9dba9e72118acc943aa12ac468b186dcfe7).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Thu, 17 Feb 2022 22:05:21 +0100

ayatana-indicator-session (22.2.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 17 Feb 2022 21:49:50 +0100

ayatana-indicator-session (0.9.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 17 Nov 2021 15:12:36 +0100

## ayatana-indicator-session 22.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set (PROJECT_VERSION "22.2.0")
+set (PROJECT_VERSION "22.2.1")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 set (GETTEXT_PACKAGE "ayatana-indicator-session")

=== debian/changelog ===
ayatana-indicator-session (22.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Depend on systemd only on [linux-any] architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 15 Jul 2022 22:50:03 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Architecture: any
 Depends: ayatana-indicator-common (>= 0.8.0),
          gsettings-desktop-schemas,
-         systemd,
+         systemd [linux-any],
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: yelp,

## ayatana-indicator-session 22.2.1-0+git20220914.2671+11.nightly.1

=== debian/changelog ===
ayatana-indicator-session (22.2.1-0+git20220914.2671+11.nightly.1) bullseye; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bullseye package for
    packages.arctica-project.org repository (Git commit:
    a2c55594a30c9b38ef5af7863fd940b970ab01f7).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Wed, 14 Sep 2022 14:24:26 +0200

ayatana-indicator-session (22.2.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 15 Jul 2022 22:42:57 +0200

=== debian/control ===
Source: ayatana-indicator-session
Section: nightly/x11
Priority: optional
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras,
               dbus,
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               libayatana-common-dev (>= 0.9.2),
               systemd [linux-any],
Standards-Version: 4.1.1
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-session

Package: ayatana-indicator-session
Architecture: any
Depends: ayatana-indicator-common,
         gsettings-desktop-schemas,
         systemd [linux-any],
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-bin,
Recommends: gnome-screensaver | mate-screensaver | xfce4-session,,
            mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
            unity-control-center | gnome-control-center | mate-control-center | xfce4-settings,
            unity-control-center-signon | gnome-control-center-signon | mate-control-center | xfce4-settings,
            yelp | x-www-browser | firefox | chromium,
            x-www-browser | firefox | chromium,
Suggests: apport,
          lightdm,
          zenity,
Breaks: indicator-session,
Replaces: indicator-session,
Description: Ayatana Indicator showing session management, status and user switching
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their instant message
 status.   Switching to another user.  Starting a guest session.  Or
 controlling the status of their own session.
 .
 It requires some way to be hosted into a panel. For the MATE Panel the
 appropriate package is mate-indicator-applet. For the Xfce Panel the
 appropriate package is xfce4-indicator-plugin.

## ayatana-indicator-session 22.9.0

=== debian/changelog ===
ayatana-indicator-session (22.9.0-3) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/patches:
    + Add 0003_Lomiri-Re-rename-former-UnitySession-related-changes.patch from
      upstream. Fix/bring back full Lomiri integration support.

  [ Debian Janitor ]
  * debian/control:
    + B-D: Drop versioned constraint on dpkg-dev and libglib2.0-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 10:35:35 +0100

ayatana-indicator-session (22.9.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Honour DEB_BUILD_OPTIONS=nocheck. (Closes: #1024541).

  [ Mike Gabriel ]
  * debian/control:
    + Section change: gnome -> misc.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Nov 2022 10:57:57 +0100

ayatana-indicator-session (22.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2022 13:25:52 +0200

=== debian/control ===
Source: ayatana-indicator-session
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras,
               dbus,
               debhelper-compat (= 13),
               intltool,
               libayatana-common-dev (>= 0.9.5),
               libglib2.0-dev,
               libgtest-dev <!nocheck>,
               systemd [linux-any],
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-session

Package: ayatana-indicator-session
Architecture: any
Depends: ayatana-indicator-common (>= 0.8.0),
         gsettings-desktop-schemas,
         systemd [linux-any],
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: yelp,
Suggests: apport,
          gnome-screensaver | mate-screensaver,
          mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
          unity-control-center | gnome-control-center | mate-control-center,
          unity-control-center-signon | gnome-control-center-signon | mate-control-center,
          lightdm,
          zenity,
Breaks: indicator-session,
Replaces: indicator-session,
Description: Ayatana Indicator showing session management, status and user switching
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their instant message
 status, switching to another user, starting a guest session, etc.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

## ayatana-indicator-session 22.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set (PROJECT_VERSION "22.2.1")
+set (PROJECT_VERSION "22.9.0")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 set (GETTEXT_PACKAGE "ayatana-indicator-session")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,6 @@
 ##
 
 set (SCHEMA_NAME "org.ayatana.indicator.session.gschema.xml")
-set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
-set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
-
-# generate the .xml file using intltool
-find_package(Intltool REQUIRED)
-set (ENV{LC_ALL} "C")
-intltool_merge_translations("${SCHEMA_FILE_IN}" "${SCHEMA_FILE}" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
 
 # let GSettings do the rest
 find_package(GSettings REQUIRED)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -50,7 +50,6 @@
 add_executable (test-service
                 test-service.cc)
 target_link_options(test-service PRIVATE -no-pie)
-set_target_properties (test-service PROPERTIES COMPILE_FLAGS " -std=c++0x")
 add_test (test-service test-service)
 add_dependencies (test-service libayatanaindicatorsessionservice backendmock gschemas-compiled)
 target_link_libraries (test-service libayatanaindicatorsessionservice backendmock ${SERVICE_LIBRARIES} ${GTEST_LIBRARIES} ${GTEST_BOTH_LIBRARIES} ${GMOCK_LIBRARIES})

=== debian/changelog ===
ayatana-indicator-session (22.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0003_Lomiri-Re-rename-former-UnitySession-related-changes.patch.
      Applied upstream.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Feb 2023 22:52:24 +0100

=== debian/control ===
--- 
+++ 
@@ -30,8 +30,8 @@
 Suggests: apport,
           gnome-screensaver | mate-screensaver,
           mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
-          unity-control-center | gnome-control-center | mate-control-center,
-          unity-control-center-signon | gnome-control-center-signon | mate-control-center,
+          unity-control-center | gnome-control-center | mate-control-center | lomiri-system-settings,
+          unity-control-center-signon | gnome-control-center-signon | mate-control-center | lomiri-system-settings,
           lightdm,
           zenity,
 Breaks: indicator-session,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 DEB_CMAKE_EXTRA_FLAGS = \
-    -DENABLE_TESTS=ON \
+    -DENABLE_TESTS=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON) \
     -DENABLE_COVERAGE=OFF \
     $(NULL)

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-session/ayatana-indicator-session-(.+)\.tar\.gz

## ayatana-indicator-session 22.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-project (ayatana-indicator-session C CXX)
 cmake_minimum_required (VERSION 3.13)
+project (ayatana-indicator-session VERSION 22.9.2 LANGUAGES C CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
@@ -7,7 +7,6 @@
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set (PROJECT_VERSION "22.9.0")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 set (GETTEXT_PACKAGE "ayatana-indicator-session")

=== debian/changelog ===
ayatana-indicator-session (22.9.2-3) unstable; urgency=medium

  * debian/tests: Drop policykit as depends, dropped upstream
    (closes: #1025638)

 -- Marius Gripsgard <mariogrip@debian.org>  Sun, 06 Aug 2023 20:32:12 +0200

ayatana-indicator-session (22.9.2-2) unstable; urgency=medium

  [ Zixing Liu ]
  * debian/patches:
    + Add 2000-fix-build-on-gcc13.patch to fix the missing header issue when
      building with GCC 13. The patch has been forwarded to the upstream.
      (closes: #1037586)
 
 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 20:31:11 +0200

ayatana-indicator-session (22.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Jun 2023 16:19:35 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libglib2.0-dev,
                libgtest-dev <!nocheck>,
                systemd [linux-any],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git

## ayatana-indicator-session 24.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.13)
-project (ayatana-indicator-session VERSION 22.9.2 LANGUAGES C CXX)
+project (ayatana-indicator-session VERSION 24.2.0 LANGUAGES C CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
@@ -14,6 +14,7 @@
 option(ENABLE_TESTS "Enable all tests and checks" OFF)
 option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
+option(ENABLE_RDA "Enable RDA (remote desktop awareness)" ON)
 
 if(ENABLE_COVERAGE)
     set(ENABLE_TESTS ON)
@@ -45,10 +46,18 @@
 ##
 find_package (PkgConfig REQUIRED)
 include (FindPkgConfig)
-pkg_check_modules (SERVICE REQUIRED
-                   libayatana-common>=0.9.2
-                   glib-2.0>=2.36
-                   gio-unix-2.0>=2.36)
+set (SERVICE REQUIRED
+     libayatana-common>=0.9.2
+     glib-2.0>=2.36
+     gio-unix-2.0>=2.36)
+
+if (ENABLE_RDA)
+	list (APPEND SERVICE rda)
+	add_definitions (-DRDA_ENABLED)
+endif ()
+
+pkg_check_modules (SERVICE REQUIRED ${SERVICE})
+
 include_directories (${SERVICE_INCLUDE_DIRS})
 
 set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})

=== src/backend-dbus/CMakeLists.txt ===
--- 
+++ 
@@ -43,9 +43,10 @@
                    org.gnome.SessionManager
                    ${CMAKE_CURRENT_SOURCE_DIR}/org.gnome.SessionManager.EndSessionDialog.xml)
 
-add_gdbus_codegen (BACKEND_GENERATED_SOURCES desktop-session
-                   org.ayatana
-                   ${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.Desktop.Session.xml)
+add_gdbus_codegen_with_namespace (BACKEND_GENERATED_SOURCES lomiri-session
+                                  com.lomiri
+                                  Lomiri
+                                  ${CMAKE_CURRENT_SOURCE_DIR}/com.lomiri.Shell.Session.xml)
 
 set (SOURCES actions.c guest.c users.c backend-dbus.c utils.c)

=== debian/changelog ===
ayatana-indicator-session (24.2.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:40:37 +0000

ayatana-indicator-session (24.2.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:54:05 +0000

ayatana-indicator-session (24.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches. All applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 23 Feb 2024 16:02:24 +0100

ayatana-indicator-session (23.10.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
    + Drop 2000-fix-build-on-gcc13.patch. Applied upstream.
    + Fix RDA / non-RDA builds/tests via 1001_fix-no-RDA-FTBFS.patch and
      0001_src-service.c-Use-rda_session_is_remote-rather-than-.patch.
  * debian/control:
    + Add B-D: librda-dev.
    + Replace systemd by systemd-dev in B-D. (Closes: #1060523).
  * debian/rules:
    + Explicitly enable RDA (although it's currently on by default).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 16:19:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ayatana-indicator-session
 Section: misc
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: cmake,
@@ -12,7 +13,8 @@
                libayatana-common-dev (>= 0.9.5),
                libglib2.0-dev,
                libgtest-dev <!nocheck>,
-               systemd [linux-any],
+               librda-dev,
+               systemd-dev [linux-any],
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
